import { CodeGenerator, GetValueNode } from '@esydoc/share';
import ApiCallNode from './CodeNodes/ApiCallNode';
import { SyncWaterfallHook } from 'tapable';
interface BaseNodeConfig {
    node: ApiCallNode;
    args2d: GetValueNode.Args[] | GetValueNode.RawArgsFn;
    expectQueue: any | any[];
    onDone?: string;
}
declare module ApiQACodeGenerator {
    type Options = {
        hostContext: any;
    };
}
export default class ApiQACodeGenerator extends CodeGenerator {
    nodeConfigMap: Map<string, BaseNodeConfig>;
    options: ApiQACodeGenerator.Options;
    hooks: {
        genRuntimeCode: SyncWaterfallHook<string, import("tapable").UnsetAdditionalOptions>;
    };
    constructor(options: ApiQACodeGenerator.Options);
    collectNode(config: BaseNodeConfig): void;
    private ouputNewNodeConfigQueueByDeps;
    private getHead;
    private getBody;
    private getFoot;
    generate(): string;
}
export {};
